Bug 1122477 - vdsm kills dhclient and fail to restart a persistent new dhclient
Summary: vdsm kills dhclient and fail to restart a persistent new dhclient
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Antoni Segura Puimedon
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:15 UTC by Meni Yakove
Modified: 2016-02-10 19:37 UTC (History)
9 users (show)

Fixed In Version: 4.16.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:35:42 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30651 master MERGED dhclient: fix kill_dhclient for dhcp reconfigure flow Never
oVirt gerrit 30852 ovirt-3.5 MERGED dhclient: fix kill_dhclient for dhcp reconfigure flow Never

Description Meni Yakove 2014-07-23 11:15:29 UTC
Description of problem:
getVdsCaps report 'bootproto4': 'none' when ifcfg-ovirtmgmt have BOOTPROTO=dhcp 

ifcfg-ovirtmgmt:
# Generated by VDSM version 4.16.0-27.git00146ed.el6
DEVICE=ovirtmgmt
ONBOOT=no
TYPE=Bridge
DELAY=0
STP=off
BOOTPROTO=dhcp
MTU=1500
DEFROUTE=yes
NM_CONTROLLED=no
HOTPLUG=no



getVdsCaps:
'ovirtmgmt': {'addr': '10.35.128.17',
                                  'bootproto4': 'none',
                                  'bridged': True,
                                  'cfg': {'BOOTPROTO': 'none',
                                          'DEFROUTE': 'yes',
                                          'DELAY': '0',
                                          'DEVICE': 'ovirtmgmt',
                                          'HOTPLUG': 'no',
                                          'MTU': '1500',
                                          'NM_CONTROLLED': 'no',
                                          'ONBOOT': 'no',
                                          'STP': 'off',
                                          'TYPE': 'Bridge'},
                                  'gateway': '10.35.128.254',
                                  'iface': 'ovirtmgmt',
                                  'ipv4addrs': ['10.35.128.17/24'],
                                  'ipv6addrs': ['fe80::216:36ff:fe84:745e/64'],
                                  'ipv6gateway': '::',
                                  'mtu': '1500',
                                  'netmask': '255.255.255.0',
                                  'ports': ['eth0'],
                                  'stp': 'off'}}


happen when lease has expired on ovirtmgmt network:
cat /var/lib/dhclient/dhclient-ovirtmgmt.leases 
lease {
  interface "ovirtmgmt";
  fixed-address 10.35.128.17;
  filename "pxelinux.0";
  option subnet-mask 255.255.255.0;
  option time-offset 1;
  option dhcp-lease-time 43200;
  option routers 10.35.128.254;
  option dhcp-message-type 5;
  option dhcp-server-identifier 10.35.28.1;
  option domain-name-servers 10.35.64.1;
  option broadcast-address 10.35.128.255;
  option ntp-servers 10.35.28.1,10.35.255.6;
  option domain-name "qa.lab.tlv.redhat.com lab.tlv.redhat.com tlv.redhat.com redhat.com";
  renew 3 2014/07/09 11:54:28;
  rebind 3 2014/07/09 17:13:38;
  expire 3 2014/07/09 18:43:38;
}
lease {
  interface "ovirtmgmt";
  fixed-address 10.35.128.17;
  filename "pxelinux.0";
  option subnet-mask 255.255.255.0;
  option time-offset 1;
  option routers 10.35.128.254;
  option dhcp-lease-time 43200;
  option dhcp-message-type 5;
  option domain-name-servers 10.35.64.1;
  option dhcp-server-identifier 10.35.28.1;
  option ntp-servers 10.35.28.1,10.35.255.6;
  option broadcast-address 10.35.128.255;
  option domain-name "qa.lab.tlv.redhat.com lab.tlv.redhat.com tlv.redhat.com redhat.com";
  renew 0 2014/07/20 15:47:09;
  rebind 0 2014/07/20 20:26:55;
  expire 0 2014/07/20 21:56:55;
}



Version-Release number of selected component (if applicable):
vdsm-4.16.0-27.git00146ed.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.run vdsClient getVdsCaps

Comment 1 Martin Pavlik 2014-10-08 06:20:55 UTC
works ok in vt5 (vdsm-4.16.6-1.el6ev.x86_64)

bridges = {'rhevm': {'addr': '10.34.66.51',
	                     'cfg': {'BOOTPROTO': 'dhcp',
	                             'DEFROUTE': 'yes',
	                             'DELAY': '0',
	                             'DEVICE': 'rhevm',
	                             'HOTPLUG': 'no',
	                             'MTU': '1500',
	                             'NM_CONTROLLED': 'no',
	                             'ONBOOT': 'yes',
	                             'STP': 'off',
	                             'TYPE': 'Bridge'},


[root@dell-r210ii-05 ~]# cat /var/lib/dhclient/dhclient-rhevm.leases 
lease {
  interface "rhevm";
  fixed-address 10.34.66.51;
  filename "/pxelinux.0";
  option subnet-mask 255.255.255.0;
  option routers 10.34.66.254;
  option dhcp-lease-time 21600;
  option dhcp-message-type 5;
  option domain-name-servers 10.34.63.228,10.34.63.229;
  option dhcp-server-identifier 10.34.63.227;
  option ntp-servers 10.34.32.125;
  option domain-name "rhev.lab.eng.brq.redhat.com";
  renew 2 2014/10/07 17:00:21;
  rebind 2 2014/10/07 19:58:14;
  expire 2 2014/10/07 20:43:14;
}
lease {
  interface "rhevm";
  fixed-address 10.34.66.51;
  filename "/pxelinux.0";
  option subnet-mask 255.255.255.0;
  option routers 10.34.66.254;
  option dhcp-lease-time 21600;
  option dhcp-message-type 5;
  option domain-name-servers 10.34.63.228,10.34.63.229;
  option dhcp-server-identifier 10.34.63.227;
  option ntp-servers 10.34.32.125;
  option domain-name "rhev.lab.eng.brq.redhat.com";
  renew 2 2014/10/07 19:51:18;
  rebind 2 2014/10/07 22:15:23;
  expire 2 2014/10/07 23:00:23;
}
lease {
  interface "rhevm";
  fixed-address 10.34.66.51;
  filename "/pxelinux.0";
  option subnet-mask 255.255.255.0;
  option routers 10.34.66.254;
  option dhcp-lease-time 21600;
  option dhcp-message-type 5;
  option domain-name-servers 10.34.63.228,10.34.63.229;
  option dhcp-server-identifier 10.34.63.227;
  option ntp-servers 10.34.32.125;
  option domain-name "rhev.lab.eng.brq.redhat.com";
  renew 2 2014/10/07 22:16:09;
  rebind 3 2014/10/08 01:06:18;
  expire 3 2014/10/08 01:51:18;
}
lease {
  interface "rhevm";
  fixed-address 10.34.66.51;
  filename "/pxelinux.0";
  option subnet-mask 255.255.255.0;
  option routers 10.34.66.254;
  option dhcp-lease-time 21600;
  option dhcp-message-type 5;
  option domain-name-servers 10.34.63.228,10.34.63.229;
  option dhcp-server-identifier 10.34.63.227;
  option ntp-servers 10.34.32.125;
  option domain-name "rhev.lab.eng.brq.redhat.com";
  renew 3 2014/10/08 01:01:23;
  rebind 3 2014/10/08 03:31:09;
  expire 3 2014/10/08 04:16:09;

Comment 2 Sandro Bonazzola 2014-10-17 12:35:42 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.